ISXDIGIT(3)

NAME
isxdigit - hexadecimal-digit character test

SYNOPSIS
#include <ctype.h>
int
isxdigit(int c);

DESCRIPTION
The isxdigit() function tests for any hexadecimal-digit character.

RETURN VALUES
The isxdigit() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isxdigit() function conforms to ansiC.

CAVEATS
The argument to isxdigit() must be EOF or representable as an unsigned char; otherwise, the result is undefined.